package ass.priklad6.server;

import java.rmi.RemoteException;
import java.util.Arrays;

import ass.priklad6.interfaces.PrimeNumberCalculator;

public class PNCalc implements PrimeNumberCalculator {

	@Override
	public int[] computePrimes(int max) throws RemoteException {

		boolean[] primes = new boolean[max];
		Arrays.fill(primes, true);
		primes[0] = primes[1] = false;

		int numOfRemoved = 0;
		int i = 2, j;
		while (i * i < max) {
			j = 2;
			while (i * j < max) {
				if (primes[i * j]) {
					numOfRemoved++;
					primes[i * j] = false;
				}
				j++;
			}
			i++;
		}
		int[] primeNumbers = new int[max - numOfRemoved - 2];
		int l = 0;
		for (int k = 0; k < max; k++) {
			if (primes[k]) {
				primeNumbers[l++] = k;
			}
		}
		return primeNumbers;
	}

}
